# Generated from ruby-kafka-temp-fork-0.0.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name ruby-kafka-temp-fork

Name: rubygem-%{gem_name}
Version: 0.0.2
Release: 1%{?dist}
Summary: A client library for the Kafka distributed commit log
License: Apache-2.0
URL: https://github.com/zendesk/ruby-kafka
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.1.0
# BuildRequires: rubygem(rspec)
# BuildRequires: rubygem(pry)
# BuildRequires: rubygem(digest-murmurhash)
# BuildRequires: rubygem(dotenv)
# BuildRequires: rubygem(docker-api)
# BuildRequires: rubygem(rspec-benchmark)
# BuildRequires: rubygem(activesupport) >= 4.0
# BuildRequires: rubygem(activesupport) < 6.1
# BuildRequires: rubygem(snappy)
# BuildRequires: rubygem(extlz4)
# BuildRequires: rubygem(zstd-ruby)
# BuildRequires: rubygem(colored)
# BuildRequires: rubygem(rspec_junit_formatter) = 0.2.2
# BuildRequires: rubygem(dogstatsd-ruby) >= 4.0.0
# BuildRequires: rubygem(dogstatsd-ruby) < 5.0.0
# BuildRequires: rubygem(statsd-ruby)
# BuildRequires: rubygem(prometheus-client) >= 0.10.0
# BuildRequires: rubygem(prometheus-client) < 0.11
# BuildRequires: rubygem(ruby-prof)
# BuildRequires: rubygem(timecop)
# BuildRequires: rubygem(rubocop) >= 0.49.1
# BuildRequires: rubygem(rubocop) < 0.50
# BuildRequires: rubygem(gssapi) >= 1.2.0
# BuildRequires: rubygem(stackprof)
BuildArch: noarch

%description
A client library for the Kafka distributed commit log.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/.circleci
%{gem_instdir}/.github
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.readygo
%exclude %{gem_instdir}/.rubocop.yml
%{gem_instdir}/.ruby-version
%exclude %{gem_instdir}/.yardopts
%{gem_instdir}/ISSUE_TEMPLATE.md
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/Procfile
%{gem_instdir}/benchmarks
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%doc %{gem_instdir}/CHANGELOG.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%doc %{gem_instdir}/docker-compose.yml
%{gem_instdir}/examples
%{gem_instdir}/ruby-kafka.gemspec

%changelog
* Wed Sep 15 2021 mockbuilder - 0.0.2-1
- Initial package
